package com.zswl.cloud.springBtach.server.core.api.paotui.model.request;

import com.zswl.cloud.springBtach.server.core.api.paotui.model.Base;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class UpdateShopRequest extends Base {

    private Integer shopId;        // 我方门店ID，和originId二选一
    private String originId;       // 你方门店ID，和shopId二选一
    private String name;           // 门店名称
    private Integer city;          // 城市编码（根据城市列表接口获取）
    private String district;       // 我方区县编码（根据区县列表接口获取）
    private String phone;          // 手机号码，支持虚拟号传入
    private String address;        // 门店地址
    private Float longitude;       // 门店经度
    private Float latitude;        // 门店纬度
    private String logistics;      // 同步指定配送方：单个示例: mtps；多个示例: dada,mtps
    private Integer category;      // 物品类别（见数据字典）
    private Integer mapType = 1;   // 坐标类型（默认值为1）
    private Config config;         // 门店配送设置

    @Data
    public static class Config {
        private Integer dispatchMode = 1;     // 派单模式
        private String dispatchOther = "0";  // 指派时使用的配送方，多个以逗号分隔
        private Integer delayDelivery = 0;   // 延迟发单（分钟）
        private Integer autoTips = 0;        // 自动加小费
    }
}
